--- title: "getDbServerLogList" slug: "database-vmongodb-getdbserverloglist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmongodb-getdbserverloglist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getDbServerLogList Available in VPC Get the list of Cloud DB for MongoDB instance DB server logs. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmongodb/v2/getDbServerLogList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) request headers](/docs/en/database-vmongodb#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MongoDB instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `logType` | String | Required | DB server log file type - `log` \| `audit` | | `cloudMongoDbServerInstanceNo` | String | Required | Cloud DB for MongoDB server instance number - See [getCloudMongoDbInstanceList](/docs/en/database-vmongodb-getcloudmongodbinstancelist) | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize` - 0 (minimum) | | `pageSize` | Integer | Conditional | Number of results to display on a page - Page the result values using `pageNo` and `pageSize` - Required when entering `pageNo` - 1 - 1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getDbServerLogList ?regionCode=KR &logType=log &cloudMongoDbServerInstanceNo=2515**** &pageNo=0 &pageSize=1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMongoDbServerLogList](/docs/en/common-vapidatatype-cloudmongodbserverloglist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) response status codes](/docs/en/database-vmongodb#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getDbServerLogListResponse": { "totalRows": 3, "cloudMongoDbDbServerLogList": [ { "fileName": "configlog.log.2024-07-01T20-00-01", "fileSize": 11703142, "fileDate": "2024-07-02T05:00:01+0900" } ], "requestId": "217d7b53-****-****-****-430c5a41b11f", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 217d7b53-****-****-****-430c5a41b11f 0 success 3 configlog.log.2024-07-01T20-00-01 11703142 2024-07-02T05:00:01+0900 ```